/* -------------------------- ALL -------------------------- */

.frontpage {
  width: auto;
}

/* -- -- -- -- -- HEADER - DÉBUT -- -- -- -- -- */

.hero--front {
  margin-block: 16px 34px;
}

.hero--front .title {
  font-size: 1.875rem;
  line-height: 2.25rem;
  margin-bottom: 32px;
}

.hero--front .title + .corps {
  margin-bottom: 32px;
}

.hero--front .title + .corps * {
  color: var(--color-primary);
}

.hero--front .title + .corps + .btn {
  margin-bottom: 30px;
}

.assets {
  display: flex;
  flex-wrap: nowrap;
  gap: 30px;
  overflow-y: scroll;
  -ms-overflow-style: none;
  scrollbar-width: none;
  margin-bottom: 30px;
}

.assets::-webkit-scrollbar {
  display: none;
}

.asset {
  display: grid;
  gap: 11px;
  align-items: center;
  width: 143px;
  flex-shrink: 0;
  padding-block: 10px;
}

.asset:not(:last-child) {
  padding-right: 30px;
  border-right: 1px solid var(--color-primary);
}

.asset:last-child {
  width: 112px;
}

.asset .name {
  font-size: 2.1875rem;
  line-height: 108%;
  text-transform: none;
  text-align: center;
}

.asset .corps * {
  color: var(--color-primary);
  text-align: center;
}

.hero--front > .illustration {
  aspect-ratio: 1/1;
  -webkit-mask-image: url(../img/logoIcons/isotype.svg);
  mask-image: url(../img/logoIcons/isotype.svg);
  mask-repeat: no-repeat;
  mask-size: contain;
}

@media (width > 767px) {
  .hero--front {
    display: flex;
    justify-content: space-between;
  }

  .hero--front > .part {
    width: 45%;
  }

  .hero--front > .illustration {
    width: 50%;
    mask-position: center;
  }

  .hero--front .assets {
    margin-bottom: unset;
  }
}

@media (width > 991px) {
  .hero--front {
    gap: 88px;
    margin-block: 61px 83px;
  }

  .hero--front .title + .corps + .btn {
    margin-bottom: 48px;
  }

  .hero--front > .part {
    width: calc(50% - 44px);
    display: grid;
    align-content: center;
  }

  .hero--front .title {
    font-size: 2.5rem;
    line-height: 3rem;
  }

  .hero--front > .illustration {
    width: calc(50% - 44px);
    mask-position: center;
  }

  .hero--front .title + .corps {
    margin-block: 16px 48px;
  }
}
/* -- -- -- -- -- HEADER - FIN -- -- -- -- -- */

/* -- -- -- -- -- CONTENU STANDARD MODIFIES - COMPONENT - DÉBUT -- -- -- -- -- */

.standard.standard--front {
  gap: 40px;
}

.standard--front .btn {
  margin-top: 24px;
  background-color: var(--color-white);
  color: var(--color-primary);
  border-color: var(--color-primary);
  transition: all 0.3s ease;
}

.standard--front .corps li {
  font-family: var(--ffMMe);
  color: var(--color-primary);
  font-weight: 600 !important;
}

@media (width > 991px) {
  .standard.standard--front {
    flex-direction: row-reverse;
    gap: 20px;
    max-width: 1300px;
  }

  .standard--front .title {
    font-size: 2.25rem;
    line-height: 2.5rem;
    max-width: 80%;
  }

  .standard--front .btn {
    margin-top: 32px;
  }
}

@media (pointer: fine) {
  .standard--front .btn:hover {
    background-color: var(--color-primary);
    color: var(--color-white);
    transition: all 0.3s ease;
  }
}

/* -- -- -- -- -- CONTENU STANDARD MODIFIES - COMPONENT - FIN -- -- -- -- -- */

/* -- -- -- -- -- DOMAINES - DÉBUT -- -- -- -- -- */

.body > *.intervention {
  position: relative;
  margin-top: 117px;
  padding-block: 140px 62px;
  background-color: var(--color-grey);
  padding-inline: unset;
  /* overflow-y: hidden;
  scrollbar-width: none;
  -ms-overflow-style: none; */
}

/* .body > *.intervention::-webkit-scrollbar {
  display: none;
} */

.body > *.intervention > .wrapper > *:not(.mascot) {
  padding-inline: 30px;
}

.intervention .mascot {
  position: absolute;
  top: -99px;
  left: -1px;
  width: 146px;
}

.intervention > .wrapper > .part {
  margin-bottom: 34px;
}

.intervention > .wrapper > .part .title {
  margin-bottom: 19px;
}

.intervention .part .corps * {
  font-family: var(--ffMMe);
}

/* .domains {
  display: flex;
  align-items: stretch;
  gap: 20px;
  flex-wrap: nowrap;
  overflow-y: scroll;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.domains::-webkit-scrollbar {
  display: none;
} */

.domain {
  position: relative;
  padding: 16px;
  height: auto;
  background-color: var(--color-white);
}

.domain .icon:not(.icon--domain) {
  position: absolute;
  top: 16px;
  right: 16px;
}

.domain .icon--domain {
  max-width: 68px;
  max-height: 68px;
  width: 100%;
  height: 100%;
  margin-bottom: 16px;
  padding: 10px;
  object-fit: contain;
}

.domain .name {
  text-transform: none;
  font-size: 1.125rem;
  line-height: 1.375rem;
  margin-bottom: 8px;
}

.domain .corps * {
  font-family: var(--ffMMe);
}

.swiper--domain {
  overflow-x: visible;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.swiper--domain::-webkit-scrollbar {
  display: none;
}

.intervention > .backgroundContainer {
  display: none;
}

@media (width > 991px) {
  .body > *.intervention {
    margin-top: 53px;
    padding-block: 127px 121px;
  }

  .intervention > .backgroundContainer {
    overflow: hidden;
    position: absolute;
    top: 0;
    right: 0;
    display: block;
    height: 50%;
    aspect-ratio: 610/542;
    width: auto;
  }

  .intervention > .backgroundContainer > .background {
    display: block;
    position: absolute;
    top: -110px;
    right: -80px;
  }

  .body > *.intervention > .wrapper,
  .swiper--domain > .swiper-wrapper {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, auto);
  }

  .intervention > .wrapper > .part {
    grid-area: 1/1/2/3;
    padding-inline: 233px 47px !important;
  }

  .intervention > .wrapper > .swiper--domain {
    grid-area: 1/1/-1/-1;
  }

  .intervention > .wrapper > .part .title {
    font-size: 2.25rem;
    line-height: 2.5rem;
  }

  .emptyItem {
    display: block;
    grid-area: 1/1/2/3;
  }

  .intervention .mascot {
    width: 200px;
    top: -30px;
  }
}

@media (width > 1199px) {
  .intervention .mascot {
    width: 257px;
  }

  .intervention > .wrapper > .part {
    padding-inline: 290px 94px !important;
  }

  .intervention > .backgroundContainer > .background {
    right: 0px;
  }
}

@media (width > 1399px) {
  .body > *.intervention > .wrapper,
  .swiper--domain > .swiper-wrapper {
    grid-template-columns: repeat(4, 1fr);
  }

  .intervention > .backgroundContainer {
    height: 60%;
  }

  .intervention > .backgroundContainer > .background {
    top: -100px;
  }

  .body > *.intervention {
    margin-inline: unset;
    max-width: unset;
  }

  .intervention > .wrapper {
    max-width: 1440px;
    margin-inline: auto;
  }
}

@media (width > 1499px) {
  .body > *.intervention {
    margin-inline: unset;
    max-width: unset;
  }

  .intervention > .wrapper {
    max-width: 1440px;
    margin-inline: auto;
  }
}

@media (width > 1599px) {
  .intervention > .wrapper > .part {
    padding-inline: 200px 0px !important;
  }
}

@media (width > 1799px) {
  .intervention > .wrapper > .part {
    padding-inline: 150px 100px !important;
  }
}

@media (width > 1919px) {
  .intervention > .backgroundContainer {
    height: 80%;
  }

  .intervention > .backgroundContainer > .background {
    top: -150px;
  }
}

@media (pointer: fine) {
  .domain > .icon path {
    fill: var(--color-grey);
    transition: all 0.3s ease;
  }

  .domain:hover > .icon path {
    fill: var(--color-primary);
    transition: all 0.3s ease;
  }
}

/* -- -- -- -- -- DOMAINES - FIN -- -- -- -- -- */

/* -- -- -- -- -- CONTENU DESCRIPTIF - COMPONENT - DÉBUT -- -- -- -- -- */

.body > *.single--front {
  overflow: hidden;
  padding: 40px 0px 12px 0px;
}

.single--front > *:not(.description) {
  padding-inline: 30px;
}

.single--front .title {
  text-align: center;
  margin-bottom: 24px;
}

.single--front .swiper.caroussel {
  padding-inline: 30px;
}

.single--front .swiper-button-prev {
  left: 10px;
}

.single--front .swiper-button-next {
  right: 10px;
}

.single--front > .description > .corps {
  padding-inline: 30px;
  margin-top: 24px;
}

.single--front > .description > .corps > h2 {
  color: #0e2254;
  font-family: var(--ffMSeBo);
  font-weight: 700;
}

.single--front > .description > .corps > .btn {
  margin-top: 18px;
  font-weight: 600;
  background-color: var(--color-white);
  color: var(--color-primary);
  border-color: var(--color-primary);
  transition: all 0.3s ease;
}

@media (width > 991px) {
  .single--front.single .description {
    gap: 28px;
  }

  .body > *.single--front {
    padding-block: 70px 0px;
    margin-bottom: 87px;
  }
}

@media (pointer: fine) {
  .single--front > .description > .corps > .btn:hover {
    background-color: var(--color-primary);
    color: var(--color-white);
    transition: all 0.3s ease;
  }
}
/* -- -- -- -- -- CONTENU DESCRIPTIF - COMPONENT - FIN -- -- -- -- -- */

/* -- -- -- -- -- BAS DE PAGE - COMPONENT - DÉBUT -- -- -- -- -- */

/* -- -- -- -- -- BAS DE PAGE - COMPONENT - FIN -- -- -- -- -- */
